Apache C++ Standard Library Reference Guide

## <fstream>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<fstream>` is part of the Input/output library of the C++ Standard Library. It defines the class templates basic_filebuf, basic_ifstream, basic_ofstream, and basic_fstream, and the types filebuf, wfilebuf, ifstream, wifstream, ofstream, wofstream, fstream, and wfstream as aliases for specializations of the class templates on `char` and `wchar_t`.

### Synopsis

    namespace std {
      template <class charT, class traits = char_traits<charT> >
      class basic_filebuf;
      typedef basic_filebuf<char> filebuf;
      typedef basic_filebuf<wchar_t> wfilebuf;

      template <class charT, class traits = char_traits<charT> >
      class basic_ifstream;
      typedef basic_ifstream<char> ifstream;
      typedef basic_ifstream<wchar_t> wifstream;

      template <class charT, class traits = char_traits<charT> >
      class basic_ofstream;
      typedef basic_ofstream<char> ofstream;
      typedef basic_ofstream<wchar_t> wofstream;

      template <class charT, class traits = char_traits<charT> >
      class basic_fstream;
      typedef basic_fstream<char>  fstream;
      typedef basic_fstream<wchar_t> wfstream;
    }

### See Also

basic_filebuf, basic_ifstream, basic_ofstream, basic_fstream

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.8.1